#version 450 core

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 texcoords;

uniform mat4 model;
uniform mat3 normalMat;

out vec3 worldPosFrag1;
out vec3 worldNormal1;
out vec2 texCoords1;


void main()
{
	gl_Position = model * vec4(position, 1.0);
    worldPosFrag1 = vec3(model *vec4(position, 1.0f));
	worldNormal1 = normalize(normalMat * normal);
    texCoords1 = texcoords;
}
