#version 450 core 

out vec4 FragColor;
  
in vec2 texCoords;

uniform sampler2D quadTexture;

void main()
{ 
    vec3 color =  texture(quadTexture, texCoords).xyz;
    vec3 colorInverted = 1 - color;
    FragColor = vec4(color,1.0f);
}