#version 450 core

layout (location = 0) in vec3 position;
layout (location = 2) in vec2 texcoords;

uniform mat4 model;

out vec2 texCoords;

void main()
{
    vec4 transformedPosition = model*vec4(position,1);
    gl_Position = vec4(transformedPosition.xy, 0.0, 1.0); 
    texCoords = texcoords;
}  