#version 450 core 

out vec4 FragColor;
  
in vec2 texCoords;

uniform sampler2D quadTexture;
uniform float alphaFactor;

void main()
{ 
    vec4 color =  texture(quadTexture, texCoords);
    float alpha = color.w;
    alpha *= alphaFactor;
    FragColor = vec4(color.xyz, alpha);
}